Page MenuHomePhabricator

Ouch, I have an OOUI: Using OOUI without pain
Closed, ResolvedPublic

Description

There is a tech talk planned for March 27 2019 | 11:00 AM Pacific | 18:00 UTC

Speaker: Moriel Schottlender

**Ouch, I have an OOUI: Using OOUI without pain:

Description:

OOUI is the interface widget library we are using for UI in the Wikimedia projects. The library is meant to allow implementers to create useful interfaces that automatically answer internationalized needs that are unique to the global nature of our projects. Right-to-left support, supporting old browsers, accessibility, etc, are things that OOUI is doing in the background for you.

This tech talk will present OOUI’s history, basic and advanced usage, and demonstrate how to create great interfaces without (much) pain within our wiki ecosystem.

Event Timeline

srodlund created this task.Mar 15 2019, 4:13 PM
srodlund closed this task as Resolved.Mar 27 2019, 11:14 PM